Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000065 [cparser] firm graph generation trivial always 2011-06-04 17:26 2011-12-24 03:47
Reporter piper View Status public  
Assigned To Matze
Priority low Resolution fixed  
Status closed   Product Version
Summary 0000065: ast2firm.c bug on 64-bit hosts
Description ast2firm.c has this line:

       if (default_proj_nr == INT_MAX) {

default_proj_nr is a long, and libfirm uses LONG_MAX for this special value in other places, so this should use LONG_MAX instead of INT_MAX.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000102)
zwinkau (manager)
2011-06-06 12:33

ANSI C: 6.8.4.2.1: The controlling expression of a switch statement shall have integer type.

This means INT_MAX is the maximum value cparser should see here. Is this really a bug?
(0000103)
Matze (administrator)
2011-06-07 12:52

The code was about firm proj-numbers which really are a long. Though it's very unlikely that it mattered in any real program. Anyway fixed in 769ceb3899516a85ca9b2eeed654c4e4af92ee4c.

- Issue History
Date Modified Username Field Change
2011-06-04 17:26 piper New Issue
2011-06-06 12:33 zwinkau Note Added: 0000102
2011-06-06 12:36 zwinkau Issue Monitored: zwinkau
2011-06-07 12:52 Matze Note Added: 0000103
2011-06-07 12:52 Matze Assigned To => Matze
2011-06-07 12:52 Matze Priority normal => low
2011-06-07 12:52 Matze Status new => resolved
2011-06-07 12:52 Matze Resolution open => fixed
2011-06-07 12:55 Matze Severity major => trivial
2011-12-24 03:47 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker